<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ota="http://www.opentravel.org/OTA">
	
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<h2><xsl:value-of select="//ota:StandardError"/></h2>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="hotelInfo" select="//ota:SummaryResponse[position() = 1]"/>
				<xsl:variable name="hotelId">
					<xsl:choose>
						<xsl:when test="$hotelInfo/ota:TPA_Extensions/ota:ConfirmationStatus/@Code!='C'">
							<xsl:value-of select="concat('request_',$hotelInfo/ota:HotelReference/@HotelCode)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('confirm_',$hotelInfo/ota:HotelReference/@HotelCode)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<div id="roomsDiv">
					<table>
						<caption>
							<span><b>Hotel: </b> <xsl:value-of select="$hotelInfo/@HotelName"/></span>
							<span><b>Status: </b> 
								<xsl:choose>
									<xsl:when test="$hotelInfo//ota:TPA_Extensions/ota:ConfirmationStatus/@Code!='C'">
										ON REQUEST !!
									</xsl:when>
									<xsl:otherwise>
										AVAILABLE
									</xsl:otherwise>
								</xsl:choose>
							</span>
							<span>
								<xsl:if	test="$hotelInfo//ota:TPA_Extensions/ota:SpecialOffer/@Name != ''">
									<img src="./img/smile.gif"></img>
									<xsl:value-of select="$hotelInfo//ota:TPA_Extensions/ota:SpecialOffer/@Name" />
								</xsl:if>
							</span>
						</caption>
						<thead>
							<tr>
								<th>Room</th>
								<th>Price/person</th>
								<th>Use</th>
								<th>Total price</th>
								<th>Qty.</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="//ota:SummaryResponse">
								<tr>
									<xsl:if test="position() mod 2=0">
										<xsl:attribute name="class">odd</xsl:attribute>
									</xsl:if>
									<td>
										<xsl:value-of select="./@ParsysRoomTypeName" />
									</td>
									<td>
										<xsl:value-of select=".//ota:AdditionalDetail[./@Code = 'PackagePricePerPerson']/@Amount" />
									</td>
									<td>
										<xsl:value-of select="./@ParsysRoomTypeUseName" />
									</td>
									<td>
										<xsl:value-of select=".//ota:AdditionalDetail[./@Code = 'TotalPackagePrice']/@Amount" />
									</td>
									<td>
										<input type="text" size="1" maxlength="1" value="0">
											<xsl:attribute name="name"><xsl:value-of select="concat('Room_',./@ParsysRoomTypeUse,'_Code_',./@RoomTypeCode)" /></xsl:attribute>
										</input>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
					<input type="button" class="button" name="ok" value="Continue">
						<xsl:attribute name="onclick">validateRooms('hotelSummary_<xsl:value-of select="$hotelInfo/ota:HotelReference/@HotelCode"/>','<xsl:value-of select="$hotelId"/>');</xsl:attribute>
					</input>
				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

</xsl:stylesheet>