<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:kws="/crstalk"
	xmlns:kxml="/crstalk/xml"
	xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">

<!-- <xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" /> -->
	
	<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>

	<xsl:decimal-format decimal-separator="." grouping-separator=","/>

	<xsl:template match="/">
		<div>
			<h1>Travel files list</h1>
			<!-- div class="legend">
				<ul>
					<li><span class="icon"><img src="./img/dead.gif"/></span> Dead operation.</li>
					<li><span class="icon"><img src="./img/in.gif"/></span> Incoming booking.</li>
					<li><span class="icon"><img src="./img/out.gif"/></span> Outgoing booking.</li>
					<li><span class="icon"><a>xxxx</a></span> Click in the travel file code to view it's details.</li>
				</ul>
			</div-->
			<xsl:apply-templates select="soapenv:Envelope"/>
		</div>
	</xsl:template>
	
	
	<xsl:template match="soapenv:Envelope">
		<xsl:apply-templates select="soapenv:Body"/>
	</xsl:template>

	<xsl:template match="soapenv:Body">
		<xsl:apply-templates select="kxml:SearchResponse"/>
	</xsl:template>

	<xsl:template match="kxml:SearchResponse">
		<xsl:if test="CompletionStatus='Success'">
			<xsl:if test="totalPages &gt; 0">
				<xsl:apply-templates select="data"/>
			</xsl:if>
			<xsl:if test="totalPages &lt;= 0">
				<p>No data found</p>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not(CompletionStatus='Success')">
			<h3>Error processing request</h3>
		</xsl:if>
		
	</xsl:template>

	<xsl:template match="CompletionStatus">
	</xsl:template>

	<xsl:template match="Errors">
	</xsl:template>

	<xsl:template match="totalPages">
	</xsl:template>
	 
<!-- Columnas:-->
<!--	1- Num. reserva-->
<!--	2- On request-->
<!--	3- Tipo-->
<!--	4- Fecha-->
<!--	5- Hora-->
<!--	6- Clase-->
<!--	7- Nombre de hotel, servicio, transfer...-->
<!--	8- Ciudad-->
<!--	9- Habitaciones, numero de plazas...-->
<!--	10-Fecha llega-->
<!--	11-Fecha sale-->
<!--	12-Precio-->
<!--	13-Moneda-->
<!--	14-Estatus-->
<!--	15-Nombre pasajero-->
<!--	16-Nombre agencia-->
<!--	17-Nombre operador-->
<!--	18-Ref (fli_time)-->
<!--	19-Special request-->
<!--	20-Corresponsal-->
<!--	21-Layer de rooms -->
<!--	22-Layer de class para service (regular sightseeing,etc)-->
<!--	23-Layer para special requests (si tienen la cadena MORE)-->
<!--	24-Flechas multisite (B=both, I=in, O=out, N=none)-->
<!-- 	25-Alt para multisite in (nombre del site) -->
<!-- 	26-Alt para multisite out (nombre del site) -->
<!-- 	27-Alt para multisite (numero de reserva) -->
<!--	28-codigo de movimiento-->
<!--	29-Dossier.ident (travelFileBookingReference)-->


	<xsl:template match="data">
		<xsl:variable name="pageNumber">
			<xsl:value-of select="../pageNumber"/>
		</xsl:variable>
		<xsl:variable name="totalPages">
		   	<xsl:value-of select="../totalPages" />
		</xsl:variable>
		<xsl:variable name="previousPage" select="$pageNumber -1" />
		<xsl:variable name="nextPage" select="$pageNumber +1" />
		<table style="table-layout:fixed">
			<caption>
				<span class="left"><xsl:value-of select="../totalRows"/> movements selected</span>
				<span class="center">
					<xsl:if test="$pageNumber &gt; 1">
   	  					<span class="left">
      						<a href="javascript:sendMovements(document.f6, -1,true);">Last</a>
        				</span>        				
  	    				</xsl:if>
     					<span class="middle">
     						Go to page
     						<select name="selectPage" onchange="javascript:sendMovements( document.f6,this.options[this.selectedIndex].value,false);">
						<xsl:call-template name="createOptions">
	                       <xsl:with-param name="start" select="string('1')" />
	                         <xsl:with-param name="stop" select="$totalPages" />
	                         <xsl:with-param name="selected" select="$pageNumber" />
	                    </xsl:call-template>    						
     						</select>
     					</span> 
   					<xsl:if test="$pageNumber &lt; $totalPages">
	    				<span class="right">
   	  						<a href="javascript:sendMovements(document.f6, +1, true);">Next</a>
						</span>
       				</xsl:if>
				</span>
				<span class="right">Page <xsl:value-of select="$pageNumber"/> of <xsl:value-of select="$totalPages"/></span>
			</caption>
			<thead>
				<tr>
					<th>
						<xsl:attribute name="width">8%</xsl:attribute>						
						Travel File
					</th>
					<th>
						<xsl:attribute name="width">5%</xsl:attribute>						
						Type
					</th>
					<th>
						<xsl:attribute name="width">14%</xsl:attribute>						
						Booking Date
					</th>
					<th>
						<xsl:attribute name="width">6%</xsl:attribute>						
						Product
					</th>
					<th>
						<xsl:attribute name="width">17%</xsl:attribute>						
						Name
					</th>
					<th>
						<xsl:attribute name="width">14%</xsl:attribute>						
						City
					</th>
					<th>
						<xsl:attribute name="width">8%</xsl:attribute>						
						Rooms
					</th>
					<th>
						<xsl:attribute name="width">10%</xsl:attribute>						
						Check In
					</th>
					<th>
						<xsl:attribute name="width">8%</xsl:attribute>						
						Check Out
					</th>
					<th>
						<xsl:attribute name="width">10%</xsl:attribute>						
						Tot Price
					</th>
				</tr>
				<tr>
					<th/>
					<th style="font-size: 85%;">
						Status
					</th>
					<th>
						<xsl:attribute name="colspan">2</xsl:attribute>
						Pax
					</th>
					<th>
						<xsl:attribute name="colspan">1</xsl:attribute>
						Agency
					</th>
					<th>
						<xsl:attribute name="colspan">2</xsl:attribute>					
						Operator
					</th>
					<th>
						<xsl:attribute name="colspan">1</xsl:attribute>
						Ref.
					</th>
					<th>
						<xsl:attribute name="colspan">3</xsl:attribute>
						Special request
					</th>
				</tr>				
			</thead>
			<tbody style="font-size:90%">
				<xsl:for-each select="currentRow">				
					<tr>
						<!-- <xsl:if test="columnValue[14]='M'">
							<xsl:attribute name="class">dead</xsl:attribute>						
						</xsl:if>-->
						<xsl:if test="position() mod 2=0">
							<xsl:attribute name="class">odd</xsl:attribute>
						</xsl:if>
						<td>
							<span class="locspan">
								<xsl:attribute name="id">locspantrav<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="onmouseover">showInfoLayer('loclayertrav<xsl:value-of select="position()"/>','locspantrav<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
								<xsl:attribute name="onmouseout">hideInfoLayer('loclayertrav<xsl:value-of select="position()"/>','locspantrav<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
								<a>
									<xsl:attribute name="href">javascript:retrieveTravelFile('<xsl:value-of select="columnValue[1]" />','<xsl:value-of select="columnValue[15]" />','<xsl:value-of select="columnValue[29]" />');</xsl:attribute>
									<xsl:value-of select="columnValue[1]" />
								</a>
							</span> 
							<div class="loclayer">
								<xsl:attribute name="id">loclayertrav<xsl:value-of select="position()"/></xsl:attribute>
								<p>Get travel file</p>
							</div>
						
							<xsl:if test="columnValue[14]='M'">
								<img src="img/dead.gif" alt="Dead movement"/>
							</xsl:if>
							<xsl:if test="columnValue[2]='P'">
								Pending
							</xsl:if>
							<xsl:if test="columnValue[2]='C'">
								Confirmed
							</xsl:if>
							<xsl:if test="columnValue[2]='R'">
								Rejected
							</xsl:if>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="columnValue[3]='R' or columnValue[3]='A'">
									Res
								</xsl:when>
								<xsl:when test="columnValue[3]='M'">
									Mod
								</xsl:when>
								<xsl:when test="columnValue[3]='C'">
									Can
								</xsl:when>
								<xsl:when test="columnValue[3]='Q'">
									Quo
								</xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
						</td>
						<td>
							<xsl:value-of select="columnValue[4]" />-<xsl:value-of select="columnValue[5]"/>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="columnValue[6]='H'">
									Hotel
								</xsl:when>
								<xsl:when test="columnValue[6]='X'">
									Xfer
								</xsl:when>
								<xsl:when test="columnValue[6]='S'">
									<span class="locspan">
										<xsl:attribute name="id">locspanserv<xsl:value-of select="position()"/></xsl:attribute>
										<xsl:attribute name="onmouseover">showInfoLayer('loclayerserv<xsl:value-of select="position()"/>','locspanserv<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:attribute name="onmouseout">hideInfoLayer('loclayerserv<xsl:value-of select="position()"/>','locspanserv<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										Service
									</span> 
									<div class="loclayer">
										<xsl:attribute name="id">loclayerserv<xsl:value-of select="position()"/></xsl:attribute>
											<p><xsl:value-of select="columnValue[22]" /></p>
									</div>
								</xsl:when>
								<xsl:when test="columnValue[6]='T'">
									Tour
								</xsl:when>
								<xsl:when test="columnValue[6]='C'">
									Cruise
								</xsl:when>
								<xsl:when test="columnValue[6]='P'">
									Package
								</xsl:when>
								<xsl:when test="columnValue[6]='R'">
									Rent a Car
								</xsl:when>								
								<xsl:otherwise/>
							</xsl:choose>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="not(boolean(columnValue[20]/null)) and not(boolean(columnValue[20]/emptyString))">
									<span class="locspan">
										<xsl:attribute name="id">locspancorr<xsl:value-of select="position()"/></xsl:attribute>
										<xsl:attribute name="onmouseover">showInfoLayer('loclayercorr<xsl:value-of select="position()"/>','locspancorr<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:attribute name="onmouseout">hideInfoLayer('loclayercorr<xsl:value-of select="position()"/>','locspancorr<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:value-of select="columnValue[7]" />
									</span> 
									<div class="loclayer">
										<xsl:attribute name="id">loclayercorr<xsl:value-of select="position()"/></xsl:attribute>
											<p><xsl:value-of select="columnValue[20]" /></p>
									</div>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="columnValue[7]" />								
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td>
							<xsl:value-of select="columnValue[8]" />
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="columnValue[6]='H'">
									<span class="locspan">
										<xsl:attribute name="id">locspanroom<xsl:value-of select="position()"/></xsl:attribute>
										<xsl:attribute name="onmouseover">showInfoLayer('loclayerroom<xsl:value-of select="position()"/>','locspanroom<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:attribute name="onmouseout">hideInfoLayer('loclayerroom<xsl:value-of select="position()"/>','locspanroom<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:value-of select="columnValue[9]" />
									</span> 
									<div class="loclayer">
										<xsl:attribute name="id">loclayerroom<xsl:value-of select="position()"/></xsl:attribute>
											<p><xsl:value-of select="columnValue[21]" /></p>
									</div>
								</xsl:when>								
								<xsl:otherwise>
									<xsl:value-of select="columnValue[9]" />
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td>
							<xsl:value-of select="columnValue[10]" />
						</td>
						<td>
							<xsl:value-of select="columnValue[11]" />
						</td>
						<td>
							<xsl:value-of select='format-number(columnValue[12],"###,##0.00 ")'/><xsl:value-of select="columnValue[13]"/>
						</td>
					</tr>
					<tr>
						<xsl:if test="position() mod 2=0">
							<xsl:attribute name="class">odd</xsl:attribute>
						</xsl:if>
						<td style="background:#efefef">
							<xsl:choose>
								<xsl:when test="columnValue[24]='B'">
									<img src="./img/in.gif"><xsl:attribute name="alt">to <xsl:choose><xsl:when test="not(boolean(columnValue[25]/null))"><xsl:value-of select="columnValue[25]"/></xsl:when><xsl:otherwise>?</xsl:otherwise></xsl:choose> id= <xsl:choose><xsl:when test="columnValue[27]=0">?</xsl:when><xsl:otherwise><xsl:value-of select="columnValue[27]"/></xsl:otherwise></xsl:choose></xsl:attribute></img>
									<img src="./img/out.gif"><xsl:attribute name="alt">from <xsl:choose><xsl:when test="not(boolean(columnValue[26]/null))"><xsl:value-of select="columnValue[26]"/></xsl:when><xsl:otherwise>?</xsl:otherwise></xsl:choose> id=<xsl:choose><xsl:when test="columnValue[27]=0">?</xsl:when><xsl:otherwise><xsl:value-of select="columnValue[27]"/></xsl:otherwise></xsl:choose></xsl:attribute></img>
								</xsl:when>
								<xsl:when test="columnValue[24]='I'">
									<img src="./img/in.gif"><xsl:attribute name="alt">to <xsl:choose><xsl:when test="not(boolean(columnValue[25]/null))"><xsl:value-of select="columnValue[25]"/></xsl:when><xsl:otherwise>?</xsl:otherwise></xsl:choose> id= <xsl:choose><xsl:when test="columnValue[27]=0">?</xsl:when><xsl:otherwise><xsl:value-of select="columnValue[27]"/></xsl:otherwise></xsl:choose></xsl:attribute></img>
								</xsl:when>
								<xsl:when test="columnValue[24]='O'">
									<img src="./img/out.gif"><xsl:attribute name="alt">from <xsl:choose><xsl:when test="not(boolean(columnValue[26]/null))"><xsl:value-of select="columnValue[26]"/></xsl:when><xsl:otherwise>?</xsl:otherwise></xsl:choose> id=<xsl:choose><xsl:when test="columnValue[27]=0">?</xsl:when><xsl:otherwise><xsl:value-of select="columnValue[27]"/></xsl:otherwise></xsl:choose></xsl:attribute></img>
								</xsl:when>
							</xsl:choose>							
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="columnValue[14]='V'">
									Alive
								</xsl:when>
								<xsl:when test="columnValue[14]='M'">
									Dead
								</xsl:when>
							</xsl:choose>
						</td>
						<td>
							<xsl:attribute name="colspan">2</xsl:attribute>						
							<xsl:value-of select="columnValue[15]" />
						</td>
						<td>
							<xsl:attribute name="colspan">1</xsl:attribute>						
							<xsl:value-of select="columnValue[16]" />
						</td>
						<td>
							<xsl:attribute name="colspan">2</xsl:attribute>						
							<xsl:value-of select="columnValue[17]" />
						</td>
						<td>
							<xsl:attribute name="colspan">1</xsl:attribute>						
							<xsl:value-of select="columnValue[18]" />
						</td>
						<td>
							<xsl:attribute name="colspan">3</xsl:attribute>						
							<xsl:choose>
								<xsl:when test="contains(string(columnValue[19]),'MORE')">
									<span class="locspan">
										<xsl:attribute name="id">locspancom<xsl:value-of select="position()"/></xsl:attribute>
										<xsl:attribute name="onmouseover">showInfoLayer('loclayercom<xsl:value-of select="position()"/>','locspancom<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:attribute name="onmouseout">hideInfoLayer('loclayercom<xsl:value-of select="position()"/>','locspancom<xsl:value-of select="position()"/>'); return true;</xsl:attribute>
										<xsl:value-of select="columnValue[19]" />
									</span> 
									<div class="loclayer">
										<xsl:attribute name="id">loclayercom<xsl:value-of select="position()"/></xsl:attribute>
											<p><xsl:value-of select="columnValue[23]" /></p>
									</div>
								</xsl:when>								
								<xsl:otherwise>
									<xsl:value-of select="columnValue[19]" />
								</xsl:otherwise>
							</xsl:choose>

						</td>
					</tr>					
				</xsl:for-each>
			</tbody>
			<tfoot>
				 <tr>
      				<td colspan="12">
   	  					<span class="left">&#160;</span>        				
		    			<span class="center">
							<xsl:if test="$pageNumber &gt; 1">
		   	  					<span class="left">
		      						<a href="javascript:sendMovements(document.f6, -1,true);">Last</a>
		        				</span>        				
		  	    				</xsl:if>
		     					<span class="middle">
		     						Go to page
		     						<select name="selectPage" onchange="javascript:sendMovements( document.f6,this.options[this.selectedIndex].value,false);">
								<xsl:call-template name="createOptions">
			                       <xsl:with-param name="start" select="string('1')" />
			                         <xsl:with-param name="stop" select="$totalPages" />
			                         <xsl:with-param name="selected" select="$pageNumber" />
			                    </xsl:call-template>    						
		     						</select>
		     					</span> 
		   					<xsl:if test="$pageNumber &lt; $totalPages">
			    				<span class="right">
		   	  						<a href="javascript:sendMovements(document.f6, +1, true);">Next</a>
								</span>
		       				</xsl:if>
						</span>
						<span class="right">&#160;</span> 
      				</td>
      			</tr>
			</tfoot>
		</table>
	</xsl:template>

<xsl:template name="createOptions">
   <xsl:param name="start" /> <!-- Comienzo -->
     <xsl:param name="stop" /> <!-- Fin -->
     <xsl:param name="selected" />
    <xsl:if test="$start!= $stop + 1">
        <option>
            <xsl:attribute name="value">
                 <xsl:value-of select="$start" />
             </xsl:attribute>
             <xsl:if test="$start = $selected">
               <xsl:attribute name="selected"/>
           </xsl:if>
             <xsl:value-of select="$start" />
         </option>
       <xsl:call-template name="createOptions">
           <xsl:with-param name="start" select="$start+ 1" />
             <xsl:with-param name="stop" select="$stop" />
             <xsl:with-param name="selected" select="$selected" />
         </xsl:call-template>
     </xsl:if> 
</xsl:template>

</xsl:stylesheet>

