<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ota="http://www.opentravel.org/OTA">

	<xsl:decimal-format decimal-separator="," grouping-separator="."/>

	<xsl:template match="/">
		<xsl:variable name="checkInDate"><xsl:value-of select="substring(//ota:DateRange/@StartDate,9,2)"/>-<xsl:value-of select="substring(.//ota:DateRange/@StartDate,6,2)"/>-<xsl:value-of select="substring(.//ota:DateRange/@StartDate,1,4)"/></xsl:variable>
		<xsl:variable name="checkOutDate"><xsl:value-of select="substring(//ota:DateRange/@EndDate,9,2)"/>-<xsl:value-of select="substring(.//ota:DateRange/@EndDate,6,2)"/>-<xsl:value-of select="substring(.//ota:DateRange/@EndDate,1,4)"/></xsl:variable>
		<div id="dossierInfo">
			<br/>
			<p>
				<label class="dossierTitleNumber">1</label><label class="dossierTitle"> - Hotel</label>
				<HR/>
				<label><b><xsl:value-of select=".//ota:SummaryResponse/@HotelName"/></b></label><br/>
				<label><b>Dates</b></label><br/>
				<label>Arrival date: <xsl:value-of select="$checkInDate"/></label><br/>
				<label>Departure date: <xsl:value-of select="$checkOutDate"/></label><br/>
				<label class="separated"><b>Country: </b><xsl:value-of select=".//ota:SummaryResponse/@HotelCoutnry"/></label><label class="separated"><b>City: </b><xsl:value-of select=".//ota:SummaryResponse/@HotelCity"/></label><label class="separated"><b>Cat: </b><xsl:value-of select=".//ota:SummaryResponse/@HotelCat"/></label><br/>
				<label class="separated"><b>Number of Rooms: </b><xsl:value-of select="sum(//RoomInfo/@Qty)"/></label>
				<label class="separated"><b>Number of Adults: </b>
					<!-- xsl:call-template name="computeNumAdults">
						<xsl:with-param name="index">0</xsl:with-param>
						<xsl:with-param name="acum">0</xsl:with-param>
					</xsl:call-template-->
				</label>
				<label class="separated"><b>Number of Child: </b>
					<!-- xsl:call-template name="computeNumChild">
						<xsl:with-param name="index">0</xsl:with-param>
						<xsl:with-param name="acum">0</xsl:with-param>
					</xsl:call-template-->
				</label><br/>
				<p><br/></p>
				<p>
					<label class="dossierTitleNumber">2</label><label class="dossierTitle"> - Price</label>
					<HR/>
					<table class="noborders">
						<tr>
							<td class="noborders">
								<b><xsl:value-of select="//RoomInfo[1]/@Qty"/><xsl:text> - </xsl:text><xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode = //RoomInfo[1]/@Code and ./@ParsysRoomTypeUse = //RoomInfo[1]/@Use]/@ParsysRoomTypeName"/></b>
							</td>
							<td class="noborders">
								<xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode = //RoomInfo[1]/@Code and ./@ParsysRoomTypeUse = //RoomInfo[1]/@Use]//ota:AdditionalDetail[./@Code='TotalPackagePrice']/@Amount"/>
							</td>
							<td class="noborders">
								<b>Tot Price</b>
							</td>
							<td class="noborders">
								<xsl:call-template name="computeTotalPrice">
									<xsl:with-param name="index">1</xsl:with-param>
									<xsl:with-param name="acum">0</xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
						<tr>
							<td class="noborders">
								Adults
							</td>
							<td class="noborders">
								nAdults hab
							</td>
						</tr>
						<tr>
							<td class="noborders">
								Children
							</td>
							<td class="noborders">
								nChild hab
							</td>
						</tr>
						<xsl:for-each select=".//RoomInfo[position() &gt; 1]">
							<tr>
								<td class="noborders">
									<b><xsl:value-of select="./@Qty"/><xsl:text> - </xsl:text><xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode =  //RoomInfo[position()]/@Code and ./@ParsysRoomTypeUse =  //RoomInfo[position()]/@Use]/@ParsysRoomTypeName"/></b>
								</td>
								<td class="noborders">
									<xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode = //RoomInfo[position()]/@Code and ./@ParsysRoomTypeUse = //RoomInfo[position()]/@Use]//ota:AdditionalDetail[./@Code='TotalPackagePrice']/@Amount"/>
								</td>
							</tr>
							<tr>
								<td class="noborders">
									Adults
								</td>
								<td class="noborders">
									nAdults hab
								</td>
							</tr>
							<tr>
								<td class="noborders">
									Children
								</td>
								<td class="noborders">
									nChild hab
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</p>
				<p><br/></p>
				<p>
					<label class="dossierTitleNumber">3</label><label class="dossierTitle"> - Terms</label>
					<HR width="70%"/>
					<input type="checkbox" id="termsAccepted">I agree</input>
				</p>
				<p><br/></p>
				<p>
					<label class="dossierTitleNumber">4</label><label class="dossierTitle"> - Reservation</label>
					<HR width="70%"/>
					<label><b>Travel File: </b><span class="red">NEW</span></label><br/>
					<label><b>Travel Agent Booking Ref: </b><input class="text" type="text" name="travelAgentBookingReference"/></label><br/>
					<xsl:for-each select="//RoomInfo">
						<xsl:variable name="roomInfoPos" select="position()"/>
						<xsl:call-template name="createRoomingList">
							<xsl:with-param name="start" select="sum(//RoomInfo[position() &lt; $roomInfoPos]/@Qty)"/>
							<xsl:with-param name="stop" select="sum(//RoomInfo[position() &lt;= $roomInfoPos]/@Qty)"/>
							<xsl:with-param name="roomCode" select="./@Code"/>
							<xsl:with-param name="roomUseCode" select="./@Use"/>
							<xsl:with-param name="roomInfoIndex" select="position()"/>
						</xsl:call-template>
							
					</xsl:for-each>
				</p>
			</p>			
		</div>
	</xsl:template>
	
	<xsl:template name="computeNumAdults">
		<xsl:param name="index"/>
		<xsl:param name="acum"/>
		<xsl:if test="$index &lt; count(//RoomInfo)">
			<xsl:choose>
				<xsl:when test="//RoomInfo[$index]/@Use = 0">
					<xsl:call-template name="computeNumAdults">
						<xsl:with-param name="index"><xsl:value-of select="position()+1"/></xsl:with-param>
						<xsl:with-param name="acum"><xsl:value-of select="$acum+ (1*//RoomInfo[$index]/@Qty)"/></xsl:with-param>
					</xsl:call-template>					
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="computeNumAdults">
						<xsl:with-param name="index"><xsl:value-of select="position()+1"/></xsl:with-param>
						<xsl:with-param name="acum"><xsl:value-of select="$acum+ (0*//RoomInfo[$index]/@Qty)"/></xsl:with-param>
					</xsl:call-template>					
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$index = count(//RoomInfo)">
			<xsl:value-of select="$acum"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="computeNumChild">
		<xsl:param name="index"/>
		<xsl:param name="acum"/>
		<xsl:if test="$index &lt; count(//RoomInfo)">
			<xsl:choose>
				<xsl:when test="//RoomInfo[$index]/@Use = 0">
					<xsl:call-template name="computeNumChild">
						<xsl:with-param name="index"><xsl:value-of select="position()+1"/></xsl:with-param>
						<xsl:with-param name="acum"><xsl:value-of select="$acum+ (0*//RoomInfo[$index]/@Qty)"/></xsl:with-param>
					</xsl:call-template>					
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="computeNumChild">
						<xsl:with-param name="index"><xsl:value-of select="position()+1"/></xsl:with-param>
						<xsl:with-param name="acum"><xsl:value-of select="$acum+ (1*//RoomInfo[$index]/@Qty)"/></xsl:with-param>
					</xsl:call-template>					
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$index = count(//RoomInfo)">
			<xsl:value-of select="$acum"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="computeTotalPrice">
		<xsl:param name="index"/>
		<xsl:param name="acum"/>
		<xsl:variable name="roomPrice">
			<xsl:if test="$index &lt; (count(//RoomInfo)+1)">
				<xsl:value-of select="number(concat(//ota:SummaryResponse[./@RoomTypeCode = //RoomInfo[$index]/@Code and ./@ParsysRoomTypeUse = //RoomInfo[$index]/@Use]//ota:AdditionalDetail[./@Code='TotalPackagePrice']/@IntPart,'.',//ota:SummaryResponse[./@RoomTypeCode = //RoomInfo[$index]/@Code and ./@ParsysRoomTypeUse = //RoomInfo[$index]/@Use]//ota:AdditionalDetail[./@Code='TotalPackagePrice']/@DecPart))"/>
			</xsl:if>
		</xsl:variable>
		<xsl:if test="$index &lt; (count(//RoomInfo)+1)">
			<xsl:call-template name="computeTotalPrice">
				<xsl:with-param name="index"><xsl:value-of select="$index+1"/></xsl:with-param>
				<xsl:with-param name="acum"><xsl:value-of select="$acum + $roomPrice"/></xsl:with-param>
			</xsl:call-template>					
		</xsl:if>
		<xsl:if test="$index = count(//RoomInfo)+1">
			<xsl:value-of select="format-number($acum,'##0,00')"/> <xsl:value-of select="//ota:AdditionalDetail[./@Code='TotalPackagePrice']/@CurrencyCode"/>
		</xsl:if>
	</xsl:template>	

	<xsl:template name="createRoomingList">
		<xsl:param name="start" />
		<xsl:param name="stop" />
		<xsl:param name="roomCode" />
		<xsl:param name="roomUseCode" />
		<xsl:param name="roomInfoIndex"/>

		<xsl:if test="$start &lt; $stop">
			<!-- xsl:value-of select="$start"/>|
			<xsl:value-of select="$stop"/>|
			<xsl:value-of select="$roomCode"/>|
			<xsl:value-of select="$roomUseCode"/>|
			<xsl:value-of select="$roomInfoIndex"/>|\-->
			
			<xsl:variable name="maxPaxes">
				<xsl:choose>
					<xsl:when test="$roomUseCode = '0'">1</xsl:when>
					<xsl:when test="$roomUseCode = '1'">2</xsl:when>
					<xsl:when test="$roomUseCode = '2'">2</xsl:when>
					<xsl:when test="$roomUseCode = '3'">3</xsl:when>
					<xsl:when test="$roomUseCode = '4'">3</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="nAdults">
				<xsl:choose>
					<xsl:when test="$roomUseCode = '0'">1</xsl:when>
					<xsl:when test="$roomUseCode = '1'">2</xsl:when>
					<xsl:when test="$roomUseCode = '2'">2</xsl:when>
					<xsl:when test="$roomUseCode = '3'">3</xsl:when>
					<xsl:when test="$roomUseCode = '4'">2</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<p><br/></p>
			<table class="noborders">
				<tr>
					<td class="noborders">
						<label class="roomTitle">Room #<xsl:value-of select="$start+1"/> - <xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode = $roomCode and ./@ParsysRoomTypeUse = $roomUseCode]/@ParsysRoomTypeName"/>/<xsl:value-of select="//ota:SummaryResponse[./@RoomTypeCode = $roomCode and ./@ParsysRoomTypeUse = $roomUseCode]/@ParsysRoomTypeUseName"/></label>
					</td>
					<td class="noborders">
						<p class="right">
							<xsl:choose>
								<xsl:when test="//ota:SummaryResponse[./@RoomTypeCode = $roomCode and ./@ParsysRoomTypeUse = $roomUseCode]/ota:TPA_Extensions/ota:ConfirmationStatus/@Code= 'C'">
									<img src="./img/available.gif"/>
								</xsl:when>
								<xsl:when test="//ota:SummaryResponse[./@RoomTypeCode = $roomCode and ./@ParsysRoomTypeUse = $roomUseCode]/ota:TPA_Extensions/ota:ConfirmationStatus/@Code= 'P'">
									<img src="./img/onrequest.gif"/>
								</xsl:when>
							</xsl:choose>
						</p>
					</td>
				</tr>
			</table>
			<table class="noborders">
				<xsl:call-template name="createOptions">
					<xsl:with-param name="start" select="0" />
					<xsl:with-param name="stop" select="$maxPaxes - 1" />
					<xsl:with-param name="numAdults" select="$nAdults"/>	
					<xsl:with-param name="roomCode" select="$roomCode" />
					<xsl:with-param name="roomUseCode" select="$roomUseCode" />
					<xsl:with-param name="roomIndex" select="$start" />
				</xsl:call-template>
			</table>
	
			<xsl:call-template name="createRoomingList">
				<xsl:with-param name="start" select="$start + 1" />
				<xsl:with-param name="stop" select="$stop" />
				<xsl:with-param name="roomCode" select="$roomCode" />
				<xsl:with-param name="roomUseCode" select="$roomUseCode" />
				<xsl:with-param name="roomInfoIndex" select="$roomInfoIndex"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template name="createOptions">
		<xsl:param name="start" />
		<xsl:param name="stop" />
		<xsl:param name="numAdults"/>
		<xsl:param name="roomCode" />
		<xsl:param name="roomUseCode" />
		<xsl:param name="roomIndex" />

		<xsl:if test="$start!= $stop + 1">
		<!-- xsl:value-of select="$roomCode" />_Use_<xsl:value-of select="$roomUseCode" />_Num_<xsl:value-of select="$roomIndex" />_Guest_<xsl:value-of select="$start" /><br/-->
			<tr>
				<td class="noborders">
					<select>
						<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode" />_Use_<xsl:value-of select="$roomUseCode" />_Num_<xsl:value-of select="$roomIndex" />_Guest_<xsl:value-of select="$start" />_NamePrefix</xsl:attribute>
						<option value="Mr."><xsl:attribute name="selected" />Mr.</option>
						<option value="Mrs.">Mrs.</option>
						<option value="Miss.">Miss.</option>
						<option value="Ms.">Ms.</option>
					</select>
				</td>
				<td class="noborders">
					<b>Name: </b><input type="text">
						<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode" />_Use_<xsl:value-of select="$roomUseCode" />_Num_<xsl:value-of select="$roomIndex" />_Guest_<xsl:value-of select="$start" />_Name</xsl:attribute>
					</input>
				</td>
				<td class="noborders">
					<b>Surname: </b><input type="text">
						<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode" />_Use_<xsl:value-of select="$roomUseCode" />_Num_<xsl:value-of select="$roomIndex" />_Guest_<xsl:value-of select="$start" />_Surname</xsl:attribute>
					</input>
				</td>
				<td class="noborders">
					<xsl:if test="$numAdults &lt; $start + 1">
						<b>Child Age: </b>
						<xsl:call-template name="childAge">
							<xsl:with-param name="roomCode" select="$roomCode" />
							<xsl:with-param name="roomUseCode" select="$roomUseCode" />
							<xsl:with-param name="roomIndex" select="$roomIndex" />
							<xsl:with-param name="pos" select="$start"/>
						</xsl:call-template>
					</xsl:if>
				</td>
			</tr>
			<xsl:call-template name="createOptions">
				<xsl:with-param name="start" select="$start+ 1" />
				<xsl:with-param name="stop" select="$stop" />
				<xsl:with-param name="numAdults" select="$numAdults" />
				<xsl:with-param name="roomCode" select="$roomCode" />
				<xsl:with-param name="roomUseCode" select="$roomUseCode" />
				<xsl:with-param name="roomIndex" select="$roomIndex" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template name="childAge">
		<xsl:param name="roomCode"/>
		<xsl:param name="roomUseCode"/>
		<xsl:param name="roomIndex"/>
		<xsl:param name="pos"/>
     	<select>
     		<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode"/>_Use_<xsl:value-of select="$roomUseCode"/>_Num_<xsl:value-of select="$roomIndex"/>_Guest_<xsl:value-of select="$pos"/>_NamePrefix</xsl:attribute>
			<option value="A"><xsl:attribute name="selected"/>Adult</option>
			 <xsl:call-template name="createAgeOptions">
				<xsl:with-param name="start" select="0"/>
				<xsl:with-param name="stop" select="18"/>
			 </xsl:call-template>
		</select>
	</xsl:template>

	<xsl:template name="createAgeOptions">
		<xsl:param name="start"/>
		<xsl:param name="stop"/>
		<xsl:if test="$start &lt;= $stop">
			<option>
				<xsl:attribute name="value"><xsl:value-of select="$start"/></xsl:attribute>
			 <xsl:value-of select="$start"/></option>
			 <xsl:call-template name="createAgeOptions">
				<xsl:with-param name="start" select="$start+1"/>
				<xsl:with-param name="stop" select="$stop"/>
			 </xsl:call-template>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
