<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ota="http://www.opentravel.org/OTA">
	
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="hotelInfo" select="//ota:SummaryResponse[position() = 1]"/>
				<xsl:variable name="hotelId">
					<xsl:choose>
						<xsl:when test="$hotelInfo/ota:TPA_Extensions/ota:ConfirmationStatus/@Code!='C'">
							<xsl:value-of select="concat('request_',$hotelInfo/ota:HotelReference/@HotelCode)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('confirm_',$hotelInfo/ota:HotelReference/@HotelCode)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<div id="roomsDiv">
					<h1>Hotel all rooms availability</h1>
					<div class="legend">
						<ul>
							<li>Please select the different room types you wish. You must choose the same number of rooms as in the 
							availability request.</li>
						</ul>
					</div>
					<table>
						<caption>
							<tr>
								<td>
									<span><b>Hotel: </b> <xsl:value-of select="$hotelInfo/@HotelName"/></span>
								</td>
								<td class="center">
									<!-- span><b>Status: </b> 							
										<xsl:choose>
											<xsl:when test="$hotelInfo//ota:TPA_Extensions/ota:ConfirmationStatus/@Code!='C'">
												ON REQUEST !!
											</xsl:when>
											<xsl:otherwise>
												AVAILABLE
											</xsl:otherwise>
										</xsl:choose>
									</span-->
									<span>
										<xsl:if	test="$hotelInfo//ota:TPA_Extensions/ota:SpecialOffer/@Name != ''">
											<img src="./img/smile.gif"></img>
											<xsl:value-of select="$hotelInfo//ota:TPA_Extensions/ota:SpecialOffer/@Name" />
										</xsl:if>
										<input type="button" class="button" name="ok" value="Continue">
											<xsl:attribute name="onclick">validateRooms('hotelSummary_<xsl:value-of select="$hotelInfo/ota:HotelReference/@HotelCode"/>','<xsl:value-of select="$hotelId"/>','<xsl:value-of select="$hotelInfo/@HotelName"/>');</xsl:attribute>
										</input>
									</span>
								</td>
							</tr>
						</caption>
					</table>

					<table>
					<xsl:for-each select="//ota:SummaryResponse[not(./@RoomTypeCode=preceding-sibling::ota:SummaryResponse/@RoomTypeCode)]">
						<xsl:variable name="roomCode" select="./@RoomTypeCode"/>
							<tr>
								<td><xsl:value-of select="./@ParsysRoomTypeName" /></td>
								<td><xsl:value-of select=".//ota:AdditionalDetailDate/@MealPlan"/></td>
								<td class="center">
									<xsl:for-each select="//ota:SummaryResponse[./@RoomTypeCode= $roomCode]">
										<xsl:variable name="price" select="concat(.//ota:QuotedRate/@IntPart,.//ota:QuotedRate/@DecPart)"/>
										<b><xsl:value-of select="./@ParsysRoomTypeUseName" />: </b>
										<select>
											<xsl:attribute name="name"><xsl:value-of select="concat('Room_',./@ParsysRoomTypeUse,'_Code_',./@RoomTypeCode)" /></xsl:attribute>
											<option value="0">0</option><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option>
										</select><xsl:text> </xsl:text>
										<xsl:value-of select="concat(format-number($price div (.//ota:QuotedRate/@RateBasisUnitsQty *100),'#0.00'),' ',.//ota:QuotedRate/@CurrencyCode)"/>
										<br/>
									</xsl:for-each>
								</td>
								<td class="right">
									<label>
										<xsl:choose>
											<xsl:when test="./ota:TPA_Extensions/ota:ConfirmationStatus/@Code = 'C'">
												<img src="./img/available.gif"/>
											</xsl:when>
											<xsl:when test="./ota:TPA_Extensions/ota:ConfirmationStatus/@Code = 'P' and not(contains(./ota:TPA_Extensions/ota:ConfirmationStatus/@Reason,'close'))">
												<img src="./img/onrequest.gif"/>
											</xsl:when>
											<xsl:otherwise>
												<img src="./img/closed_dates.gif"/>
											</xsl:otherwise>
										</xsl:choose>
									</label>
								</td>
							</tr>
							<tr>
								<td colspan="3">
									</td>
								</tr>
						</xsl:for-each>
					</table>
				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

</xsl:stylesheet>