<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ota="http://www.opentravel.org/OTA">
	
	
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div id="dossierInfo">
					<h1>Voucher list</h1>
					<table>
						<thead>
							<tr>
								<th>Travel File</th>
								<th>Travel Agent Reference</th>
								<th>Client name</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><xsl:value-of select="//ota:HotelReservation[1]/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/></td>
								<td></td>
								<td><xsl:value-of select="//ota:HotelReservation[1]/ota:TPA_Extensions/ota:PartyName"/></td>
							</tr>
						</tbody>
					</table>
					<table>
						<thead>
							<tr>
								<th>Sel</th>
								<th>Item</th>
								<th>City</th>
								<th>Name</th>
								<th>Check In</th>
								<th>Check Out</th>
								<th>Optional text</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="//ota:RoomStay">
								<tr>
									<xsl:if test="position() mod 2=0">
										<xsl:attribute name="class">odd</xsl:attribute>
									</xsl:if>
									<td>
										<input type="radio" class="radio" name="voucherCode">
											<xsl:attribute name="onclick">document.v1.voucherId.value='<xsl:value-of select="//ota:HotelReservation[1]/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/>_<xsl:value-of select="//ota:HotelReservationID[@ResIDType = 'Locator']/@ResIDValue"/>_<xsl:value-of select="./@RoomTypeCode"/>_<xsl:value-of select="position()"/>_<xsl:value-of select="./@RoomTypeCodeParsys"/>';</xsl:attribute>
										</input>
									</td>
									<td>Hotel</td>
									<td></td>
									<td>
										<xsl:value-of select=".//ota:HotelReference/@HotelName"/><br/>
										Room#<xsl:value-of select="position()"/> (<xsl:value-of select="./@RoomTypeCode"/>) <xsl:value-of select="./@RoomNameParsys"/>
									</td>
									<td><xsl:value-of select="substring(//ota:StayDateRange/@StartDate,1,10)"/></td>
									<td><xsl:value-of select="substring(//ota:StayDateRange/@EndDate,1,10)"/></td>
									<td>
										<input type="text" class="text" name="additionalText"/>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
					<input type="button" class="button" name="print" value="Print voucher" onclick="printVoucher(document.v1);" /> 
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
