<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ota="http://www.opentravel.org/OTA">
	<xsl:template match="/">
		<div id="dossier">
			<xsl:for-each select="/descendant::ota:HotelReservations">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
		</div>
	</xsl:template>
	<xsl:template match="ota:HotelReservations">
		
			<h3>Dossier <xsl:value-of select="ota:HotelReservation[1]/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/>
			</h3>
			<div>Party Name: <xsl:value-of select="ota:HotelReservation[1]/ota:TPA_Extensions/ota:PartyName"/>
			</div>
			
				<xsl:for-each select="ota:HotelReservation">
					<xsl:apply-templates select="."/>
				</xsl:for-each>
	</xsl:template>
	<xsl:template match="ota:HotelReservation">
		<div id="reservation">
			<xsl:variable name="thisLocator" select="ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Locator' ]/@ResIDValue"/>
			<xsl:variable name="dossierCode" select="ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/>
			<xsl:variable name="edit">true</xsl:variable>
			<xsl:variable name="formName">
				<xsl:choose>
					<xsl:when test="$edit='true'">modForm</xsl:when>
					<xsl:otherwise>Loc<xsl:value-of select="$thisLocator"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:attribute name="name"><xsl:value-of select="$formName"/></xsl:attribute>
			
			<input type="hidden" name="OperationCode">
				<xsl:attribute name="value"><xsl:value-of select="$thisLocator"/></xsl:attribute>
			</input>
			<input type="hidden" name="DossierCode">
				<xsl:attribute name="value"><xsl:value-of select="$dossierCode"/></xsl:attribute>
			</input>
			<input type="hidden" name="PartyName">
				<xsl:attribute name="value"><xsl:value-of select="ota:TPA_Extensions/ota:PartyName"/></xsl:attribute>
			</input>
			<div id="serviceName" class="left">
				<xsl:value-of select="ota:RoomStays/ota:RoomStay[1]/ota:HotelReference/@HotelName"/>
			</div>
			<div id="confStatus" class="center">
				<xsl:choose>
					<xsl:when test="ota:TPA_Extensions/ota:ConfirmationStatus='C'">CONFIRMED</xsl:when>
					<xsl:when test="ota:TPA_Extensions/ota:ConfirmationStatus='N'">CONFIRMED</xsl:when>
					<xsl:when test="ota:TPA_Extensions/ota:ConfirmationStatus='R'">REJECTED</xsl:when>
					<xsl:when test="ota:TPA_Extensions/ota:ConfirmationStatus='P'">PENDING</xsl:when>
				</xsl:choose>
			</div>
			<div id="resTotalPrice" class="right"><xsl:value-of select="ota:TPA_Extensions/ota:TotalPrice"/>ffffffffff</div>
			<div>
				Arrival: <xsl:value-of select="substring(//ota:StayDateRange/@StartDate,1,10)"/>
				Departure: <xsl:value-of select="substring(//ota:StayDateRange/@EndDate,1,10)"/>
			</div>
			<div>
				Rooms:
					<xsl:variable name="nSgl" select="count(ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '1'])"/>
					<xsl:variable name="nTwb" select="count(ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '2'])"/>
					<xsl:variable name="nTrp" select="count(ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '3'])"/>
					<xsl:variable name="nQua" select="count(ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '4'])"/>
					<xsl:value-of select="$nSgl"/> Sgl,<xsl:value-of select="$nTwb"/> Twb,<xsl:value-of select="$nTrp"/> Trp,<xsl:value-of select="$nQua"/> Qua
			</div>
			<div>
				<ul>
					<xsl:apply-templates select="ota:RoomStays">
						<xsl:with-param name="rTypeCode" select="ota:RoomStays/ota:RoomStay/@RoomTypeCode"/>
						<xsl:with-param name="nodeSet" select="ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '1']"/>
						<xsl:with-param name="edit" select="$edit"/>
					</xsl:apply-templates>
					<xsl:apply-templates select="ota:RoomStays">
						<xsl:with-param name="rTypeCode" select="ota:RoomStays/ota:RoomStay/@RoomTypeCode"/>
						<xsl:with-param name="nodeSet" select="ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '2']"/>
						<xsl:with-param name="edit" select="$edit"/>
					</xsl:apply-templates>
					<xsl:apply-templates select="ota:RoomStays">
						<xsl:with-param name="rTypeCode" select="ota:RoomStays/ota:RoomStay/@RoomTypeCode"/>
						<xsl:with-param name="nodeSet" select="ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '3']"/>
						<xsl:with-param name="edit" select="$edit"/>
					</xsl:apply-templates>
					<xsl:apply-templates select="ota:RoomStays">
						<xsl:with-param name="rTypeCode" select="ota:RoomStays/ota:RoomStay/@RoomTypeCode"/>
						<xsl:with-param name="nodeSet" select="ota:RoomStays/ota:RoomStay/ota:GuestCounts/ota:GuestCount[ @Count = '4']"/>
						<xsl:with-param name="edit" select="$edit"/>
					</xsl:apply-templates>
				</ul>
			</div>
			<div>
	        Notes to the Hotel: <xsl:value-of select="ota:ResComments/ota:ResComment[ @ResCommentRPH ='1']"/>
			</div>
			<div>
	        Notes to the Booking Office: <xsl:value-of select="ota:ResComments/ota:ResComment[ @ResCommentRPH ='2']"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="ota:RoomStays">
		<xsl:param name="nodeSet"/>
		<xsl:param name="rTypeCode"/>
		<xsl:param name="edit"/>
		<xsl:if test="boolean($nodeSet)">
			<xsl:apply-templates select="$nodeSet">
				<xsl:with-param name="rTypeCode" select="$rTypeCode"/>
				<xsl:with-param name="edit" select="$edit"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ota:GuestCount">
		<xsl:param name="rTypeCode"/>
		<xsl:param name="edit"/>
		<xsl:variable name="rTypeIndex" select="position()"/>
		<li>
			<div>
				<xsl:value-of select="../../@ParsysRoomTypeName"/>:<br/>
				<xsl:value-of select="ota:RatePlans/ota:RatePlan[1]/ota:Rates/ota:Rate[1]/ota:Amount"/>
				<xsl:value-of select="ota:RatePlans/ota:RatePlan[1]/ota:Rates/ota:Rate[1]/ota:Amount/@CurrencyCode"/>
			</div>
			<div>
		Guests: 
	</div>
			<div>
				<ol>
					<xsl:for-each select="../../ota:ResGuestRPHs/ota:ResGuestRPH">
						<xsl:apply-templates select=".">
							<xsl:with-param name="rTypeIndex" select="$rTypeIndex"/>
							<xsl:with-param name="rTypeCode" select="$rTypeCode"/>
							<xsl:with-param name="rGuestIndex" select="position()"/>
							<xsl:with-param name="edit" select="$edit"/>
						</xsl:apply-templates>
					</xsl:for-each>
				</ol>
			</div>
		</li>
	</xsl:template>
	<xsl:template match="ota:ResGuestRPH">
		<xsl:param name="rTypeCode"/>
		<xsl:param name="rTypeIndex"/>
		<xsl:param name="rGuestIndex"/>
		<xsl:param name="edit"/>
		<xsl:variable name="rgRPH" select="."/>
		<xsl:variable name="rpRPH" select="../../../../ota:ResGuests/ota:ResGuest[@ResGuestRPH = $rgRPH]/ota:ProfileRPHs/ota:ProfileRPH[1]"/>
		<xsl:apply-templates select="../../../../ota:ResProfiles/ota:ResProfile[@ResProfileRPH = $rpRPH]">
			<xsl:with-param name="rTypeIndex" select="$rTypeIndex"/>
			<xsl:with-param name="rTypeCode" select="$rTypeCode"/>
			<xsl:with-param name="rGuestIndex" select="$rGuestIndex"/>
			<xsl:with-param name="edit" select="$edit"/>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template match="ota:ResProfile">
		<xsl:param name="rTypeCode"/>
		<xsl:param name="rTypeIndex"/>
		<xsl:param name="rGuestIndex"/>
		<xsl:param name="edit"/>
		<li>
			<xsl:value-of select="ota:Profile/ota:Customer/ota:PersonName/ota:NamePrefix"/>
			<xsl:value-of select="ota:Profile/ota:Customer/ota:PersonName/ota:Surname"/>
		</li>
	</xsl:template>
</xsl:stylesheet>
