<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ota="http://www.opentravel.org/OTA">
	
	
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div id="dossierInfo">
					<h1>Update booking</h1>
					<div class="legend">
						<ul>
							<li>Fill the information you wan to modify and press the book button.</li>
						</ul>
					</div>
					<form name="m1">
						<input type="hidden" name="reservationCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservationID[@ResIDType = 'Locator']/@ResIDValue"/></xsl:attribute>
						</input>
						<input type="hidden" name="tfCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservation[1]/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/></xsl:attribute>
						</input>
						<input type="hidden" name="serviceCode">
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test="//ota:ConfirmationStatus/@Code!='C'">
										<xsl:value-of select="concat('request_', //ota:HotelReference/@HotelCode )"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="concat('confirm_', //ota:HotelReference/@HotelCode )"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
						</input>
						<input type="hidden" name="roomCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservationID[@ResIDType = 'Locator']/@ResIDValue"/></xsl:attribute>
						</input>
						<xsl:for-each select="//ota:HotelRooms/ota:Room">
							<input type="hidden">
								<xsl:attribute name="name"><xsl:value-of select="concat('hdRoomTypeName_',./@Code)"/></xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="concat('hdRoomTypeName_',./@Code)"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="./@Name"/></xsl:attribute>
							</input>
						</xsl:for-each>
						<table>
							<thead>
								<tr>
									<th>Travel File</th>
									<th>Travel Agent Reference</th>
									<th>Client name</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td><xsl:value-of select="//ota:HotelReservation/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/></td>
									<td><input type="text" name="bookingRef"/> </td>
									<td>
										<input type="text" name="tfName" >
											<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservation/ota:TPA_Extensions/ota:PartyName"/></xsl:attribute>
										</input>
									</td>
								</tr>
							</tbody>
						</table>
						<table>
							<thead>
								<tr>
									<th>Check In</th>
									<th>Check Out</th>
									<th>Rooms</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>
										<input type="text" name="checkInDate" onchange="changeToDate(this.form);" onfocus="javascript:showCalendar('checkInDate', document.m1, 'f');" onclick="javascript:showCalendar('checkInDate', document.m1, 'f');"><xsl:attribute name="value">
											<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,9,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,6,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,1,4)"/></xsl:attribute>
										</input>
									</td>
									<td>
										<input type="text" name="checkOutDate" onchange="changeToDate(this.form);"  onfocus="javascript:showCalendar('checkOutDate', document.m1, 't');" onclick="javascript:showCalendar('checkOutDate', document.m1, 't');">
											<xsl:attribute name="value"><xsl:value-of select="substring(//ota:StayDateRange/@EndDate,9,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@EndDate,6,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@EndDate,1,4)"/></xsl:attribute>
										</input>
									</td>
									<td>
										<xsl:for-each select="//ota:RoomStay">
											<xsl:value-of select="./@NumberOfRooms" />&#160; <xsl:value-of select="./@ParsysRoomTypeName" />&#160; (<xsl:value-of select="./@RoomUseName" />)
											<xsl:if test="position()&lt;count(//ota:RoomStay)">,&#160;</xsl:if>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td colspan="3" align="center">
										<b>Hotel: </b><xsl:value-of select="//ota:HotelReference/@HotelName"/> | <b>City: </b><xsl:value-of select="//ota:HotelReference/@HotelCity"/>
									</td>
								</tr>
							</tbody>
						</table>
						
						<xsl:for-each select="//ota:HotelRooms/ota:Room">
							<xsl:variable name="roomCode" select="./@Code"/>
							<table>
								<thead>
									<tr>
										<th>Room Name</th>
										<th>Max - Min pax</th>
										<th>Description</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td><xsl:value-of select="./@Name" /></td>
										<td></td>
										<td></td>
									</tr>
									<tr>
										<th colspan="3" align="center">Number of these rooms for use</th>
									</tr>
									<tr>
										<td colspan="3" align="center">
											Sgl:&#160;<input size="1" maxsize="2" value="0" onchange="modifyRoomingList(document.m1);">
													<xsl:attribute name="name">RoomType_<xsl:value-of select="./@Code"/>_Use_00_Qty</xsl:attribute>
													<xsl:attribute name="value">
														<xsl:choose>
															<xsl:when test="boolean(//ota:RoomStay[@RoomUseCode='0' and @RoomTypeCode=$roomCode])">
																<xsl:value-of select="//ota:RoomStay[@RoomUseCode='0' and @RoomTypeCode=$roomCode]/@NumberOfRooms"/>
															</xsl:when>
															<xsl:otherwise>0</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
												</input>&#160;
											Dbl:&#160;<input size="1" maxsize="2" value="0" onchange="modifyRoomingList(document.m1);">
													<xsl:attribute name="name">RoomType_<xsl:value-of select="./@Code"/>_Use_01_Qty</xsl:attribute>
													<xsl:attribute name="value">
														<xsl:choose>
															<xsl:when test="boolean(//ota:RoomStay[@RoomUseCode='1' and @RoomTypeCode=$roomCode])">
																<xsl:value-of select="//ota:RoomStay[@RoomUseCode='1' and @RoomTypeCode=$roomCode]/@NumberOfRooms"/>
															</xsl:when>
															<xsl:otherwise>0</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
												</input>&#160;
											Twb:&#160;<input size="1" maxsize="2" value="0" onchange="modifyRoomingList(document.m1);">
													<xsl:attribute name="name">RoomType_<xsl:value-of select="./@Code"/>_Use_02_Qty</xsl:attribute>
													<xsl:attribute name="value">
														<xsl:choose>
															<xsl:when test="boolean(//ota:RoomStay[@RoomUseCode='2' and @RoomTypeCode=$roomCode])">
																<xsl:value-of select="//ota:RoomStay[@RoomUseCode='2' and @RoomTypeCode=$roomCode]/@NumberOfRooms"/>
															</xsl:when>
															<xsl:otherwise>0</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
												</input>&#160;
											Trp:&#160;<input size="1" maxsize="2" value="0" onchange="modifyRoomingList(document.m1);">
													<xsl:attribute name="name">RoomType_<xsl:value-of select="./@Code"/>_Use_03_Qty</xsl:attribute>
													<xsl:attribute name="value">
														<xsl:choose>
															<xsl:when test="boolean(//ota:RoomStay[@RoomUseCode='3' and @RoomTypeCode=$roomCode])">
																<xsl:value-of select="//ota:RoomStay[@RoomUseCode='3' and @RoomTypeCode=$roomCode]/@NumberOfRooms"/>
															</xsl:when>
															<xsl:otherwise>0</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
												</input>&#160;
											Trp/1ch:&#160;<input size="1" maxsize="2" value="0" onchange="modifyRoomingList(document.m1);">
													<xsl:attribute name="name">RoomType_<xsl:value-of select="./@Code"/>_Use_04_Qty</xsl:attribute>
													<xsl:attribute name="value">
														<xsl:choose>
															<xsl:when test="boolean(//ota:RoomStay[@RoomUseCode='4' and @RoomTypeCode=$roomCode])">
																<xsl:value-of select="//ota:RoomStay[@RoomUseCode='4' and @RoomTypeCode=$roomCode]/@NumberOfRooms"/>
															</xsl:when>
															<xsl:otherwise>0</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
												</input>&#160;
										</td>
									</tr>
								</tbody>
							</table>
						</xsl:for-each>	
							
						<table>
							<tbody>
								<tr>
									<td align="center" id="tdRoomingList">
										<xsl:for-each select="//ota:RoomStay">
											<h5><xsl:value-of select="./@ParsysRoomTypeName"/></h5>
											<ul>
												<xsl:call-template name="createRoomingList">
										           	<xsl:with-param name="start" select="1" />
										            <xsl:with-param name="stop" select="./@NumberOfRooms" />
										            <xsl:with-param name="roomCode" select="./@RoomTypeCode" />
										            <xsl:with-param name="roomUseCode" select="./@RoomUseCode" />
										            <xsl:with-param name="roomIndex" select="position() - 1" />
										        </xsl:call-template>
										   </ul>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td align="center">
										<h5>To the Hotel:</h5>
										<input type="text" name="notesHotel" size="45" maxlength="190">
											<xsl:attribute name="value"><xsl:value-of select="//ota:ResComments/ota:ResComment[ @ResCommentRPH ='1']"/></xsl:attribute>
										</input>
										<h5>To the Booking Office:</h5>
										<input type="text" name="notesBO" size="45" maxlength="190">
											<xsl:attribute name="value"><xsl:value-of select="//ota:ResComments/ota:ResComment[ @ResCommentRPH ='2']"/></xsl:attribute>
										</input>
									</td>
								</tr>
								<tr>
									<td id="modBookingSpecialRequests" align="center">
									</td>
								</tr>
							</tbody>
						</table>
						<input class="button" type="button" name="book" value="Modify booking" onclick="sendHotelMod(document.m1);"/>
					</form>
				</div>
			</xsl:otherwise>
		</xsl:choose>
					
	</xsl:template>
	
	<xsl:template name="createRoomingList">
		<xsl:param name="start" />
	    <xsl:param name="stop" />
	    <xsl:param name="roomCode" />
	    <xsl:param name="roomUseCode" />
	    <xsl:param name="roomIndex" />
	    
	    <xsl:if test="$start!= $stop + 1">
	    
	    	 <xsl:variable name="maxPaxes">
		    	<xsl:choose>
		    		<xsl:when test="$roomUseCode = '0'">1</xsl:when>
		    		<xsl:when test="$roomUseCode = '1'">2</xsl:when>
		    		<xsl:when test="$roomUseCode = '2'">2</xsl:when>
		    		<xsl:when test="$roomUseCode = '3'">3</xsl:when>
		    		<xsl:when test="$roomUseCode = '4'">3</xsl:when>
		    	</xsl:choose>
		    </xsl:variable>
		   
		    <xsl:call-template name="createOptions">
	           	<xsl:with-param name="start" select="0" />
	            <xsl:with-param name="stop" select="$maxPaxes - 1" />
	            <xsl:with-param name="roomCode" select="$roomCode" />
	            <xsl:with-param name="roomUseCode" select="$roomUseCode" />
	    		<xsl:with-param name="roomIndex" select="$roomIndex" />
	        </xsl:call-template>
	    
	    	<xsl:call-template name="createRoomingList">
	           	<xsl:with-param name="start" select="$start + 1" />
	            <xsl:with-param name="stop" select="$stop" />
	            <xsl:with-param name="roomCode" select="$roomCode" />
	            <xsl:with-param name="roomUseCode" select="$roomUseCode" />
	            <xsl:with-param name="roomIndex" select="$roomIndex" />
	        </xsl:call-template>
	    </xsl:if> 
	</xsl:template>
	
	<xsl:template name="createOptions">
		<xsl:param name="start" />
	    <xsl:param name="stop" />
	    <xsl:param name="roomCode" />
	    <xsl:param name="roomUseCode" />
	    <xsl:param name="roomIndex" />
	    
	    <xsl:if test="$start!= $stop + 1">
	     	<li>
		     	<select>
		     		<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode"/>_Use_<xsl:value-of select="$roomUseCode"/>_Num_<xsl:value-of select="$roomIndex"/>_Guest_<xsl:value-of select="$start"/>_NamePrefix</xsl:attribute>
					<option value="Mr.">
						<xsl:if test="//ota:ResProfile[./@ResProfileRPH = //ota:RoomStay[./@RoomTypeCode = $roomCode and ./@RoomUseCode = $roomUseCode]//ota:ResGuestRPH[position()=$start + 1]/.]//ota:NamePrefix = 'Mr.'"><xsl:attribute name="selected"/></xsl:if>
					 Mr.</option>
					<option value="Mrs.">
						<xsl:if test="//ota:ResProfile[./@ResProfileRPH = //ota:RoomStay[./@RoomTypeCode = $roomCode and ./@RoomUseCode = $roomUseCode]//ota:ResGuestRPH[position()=$start + 1]/.]//ota:NamePrefix = 'Mrs.'"><xsl:attribute name="selected"/></xsl:if>
					 Mrs.</option>
					<option value="Miss.">
						<xsl:if test="//ota:ResProfile[./@ResProfileRPH = //ota:RoomStay[./@RoomTypeCode = $roomCode and ./@RoomUseCode = $roomUseCode]//ota:ResGuestRPH[position()=$start + 1]/.]//ota:NamePrefix = 'Miss'"><xsl:attribute name="selected"/></xsl:if>
						 Miss.</option>
					<option value="Ms.">
						<xsl:if test="//ota:ResProfile[./@ResProfileRPH = //ota:RoomStay[./@RoomTypeCode = $roomCode and ./@RoomUseCode = $roomUseCode]//ota:ResGuestRPH[position()=$start + 1]/.]//ota:NamePrefix = 'Ms.'"><xsl:attribute name="selected"/></xsl:if>
					 Ms.</option>
				</select>&#160;
		        
		        <input type="text">
		        	<xsl:attribute name="name">RoomType_<xsl:value-of select="$roomCode"/>_Use_<xsl:value-of select="$roomUseCode"/>_Num_<xsl:value-of select="$roomIndex"/>_Guest_<xsl:value-of select="$start"/>_Name</xsl:attribute>
		        	<xsl:attribute name="value"><xsl:value-of select="//ota:ResProfile[./@ResProfileRPH = //ota:RoomStay[./@RoomTypeCode = $roomCode and ./@RoomUseCode = $roomUseCode]//ota:ResGuestRPH[position()=$start + 1]/.]//ota:Surname"/></xsl:attribute>
		        </input>
	        </li>
	        
			<xsl:call-template name="createOptions">
	           	<xsl:with-param name="start" select="$start+ 1" />
	            <xsl:with-param name="stop" select="$stop" />
	            <xsl:with-param name="roomCode" select="$roomCode" />
	            <xsl:with-param name="roomUseCode" select="$roomUseCode" />
	    		<xsl:with-param name="roomIndex" select="$roomIndex" />
	        </xsl:call-template>
	    </xsl:if> 
	</xsl:template>

</xsl:stylesheet>
