<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ota="http://www.opentravel.org/OTA">
	
	
	<xsl:template match="/">
		<xsl:variable name="resPosition" select="1"/>
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div id="dossierInfo">
					<h1>Update booking</h1>
					<div class="legend">
						<ul>
							<li>Fill the information you wan to modify and press the book button.</li>
						</ul>
					</div>
					<form name="m1">
						<input type="hidden" name="reservationCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservationID[@ResIDType = 'Locator']/@ResIDValue"/></xsl:attribute>
						</input>
						<input type="hidden" name="tfName">
							<xsl:attribute name="value"><xsl:value-of select="//ota:TPA_Extensions/ota:PartyName"/></xsl:attribute>
						</input>
						<input type="hidden" name="tfCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservation[1]/ota:HotelReservationIDs/ota:HotelReservationID[ @ResIDType = 'Reservation' ]/@ResIDValue"/></xsl:attribute>
						</input>
						<input type="hidden" name="serviceCode">
							<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test="//ota:ConfirmationStatus/@Code!='C'">
										<xsl:value-of select="concat('request_', //ota:HotelReference/@HotelCode )"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="concat('confirm_', //ota:HotelReference/@HotelCode )"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
						</input>
						<input type="hidden" name="roomCode">
							<xsl:attribute name="value"><xsl:value-of select="//ota:HotelReservationID[@ResIDType = 'Locator']/@ResIDValue"/></xsl:attribute>
						</input>
						<xsl:for-each select="//ota:HotelRooms/ota:Room">
							<input type="hidden">
								<xsl:attribute name="name"><xsl:value-of select="concat('hdRoomTypeName_',./@Code)"/></xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="concat('hdRoomTypeName_',./@Code)"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="./@Name"/></xsl:attribute>
							</input>
						</xsl:for-each>
						
						<p>
						<label class="dossierTitleNumber">1</label><label class="dossierTitle"> - Hotel</label>
						<HR/>
						<label><b><xsl:value-of select=".//ota:HotelReference/@HotelName"/></b></label><br/>
						<label><b>Dates</b></label><br/>
						<label class="separated20">Arrival date:</label>
						<label>
							<input type="text" name="checkInDate" onchange="changeToDate(this.form);" onfocus="javascript:showCalendar('checkInDate', document.m1, 'f');" onclick="javascript:showCalendar('checkInDate', document.m1, 'f');"><xsl:attribute name="value">
								<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,9,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,6,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@StartDate,1,4)"/></xsl:attribute>
							</input>
						</label><br/>
						<label class="separated20">Departure date:</label>
						<label>
							<input type="text" name="checkOutDate" onchange="changeToDate(this.form);"  onfocus="javascript:showCalendar('checkOutDate', document.m1, 't');" onclick="javascript:showCalendar('checkOutDate', document.m1, 't');">
								<xsl:attribute name="value"><xsl:value-of select="substring(//ota:StayDateRange/@EndDate,9,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@EndDate,6,2)"/>-<xsl:value-of select="substring(//ota:StayDateRange/@EndDate,1,4)"/></xsl:attribute>
							</input>
						</label><br/>
						<label class="separated25"><b>Country: </b><xsl:value-of select=".//ota:HotelReference/@HotelCountry"/></label><label class="separated25"><b>City: </b><xsl:value-of select=".//ota:HotelReference/@HotelCity"/></label><label class="separated25"><b>Cat: </b><xsl:value-of select=".//ota:HotelReference/@HotelCat"/></label><br/>
						<!-- label class="separated25"><b>Number of Rooms: </b><xsl:value-of select="sum(.//ota:RoomStay/@NumberOfRooms)"/></label><label class="separated25"><b>Number of Adults: </b><xsl:value-of select="sum(.//ota:GuestCount[@AgeQualifyingCode='A' or @AgeQualifyingCode='Adult' ]/@Count)"/></label><label class="separated25"><b>Number of Child: </b><xsl:value-of select="sum(.//ota:GuestCount[@AgeQualifyingCode!='A' and @AgeQualifyingCode!='Adult']/@Count)"/></label><br/-->
						</p>
						<p><br/></p>
						<p>
						<label class="dossierTitleNumber">2</label><label class="dossierTitle"> - Rooms</label>
						<HR/>
						</p>
						<p id="modifyOptionsRoomUses">
							<ul id="modroomUsesList">
								<xsl:for-each select="//ota:RoomStay">
									<xsl:variable name="roomStayUse" select="./@RoomUseCode"/>
									<li>
										<xsl:attribute name="id"><xsl:value-of select="concat('modroom',position())"/></xsl:attribute>
										<label class="separated10">
											<b><xsl:value-of select="concat('Room ',position())"/></b></label><label class="separated15">Adults: 
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',position(),'Adults')"/></xsl:attribute>
												<xsl:attribute name="onchange">updateModifyRoomAdults(this.form,<xsl:value-of select="position()"/>);updateModifyRoomUses(this.form, <xsl:value-of select="position()"/>);updateModifyRoomTypes(this.form, <xsl:value-of select="position()"/>);changeModificationRoomingList('<xsl:value-of select="position()"/>')</xsl:attribute>
												<xsl:call-template name="createAdultsOptions">
													<xsl:with-param name="start" select="0"/>
													<xsl:with-param name="stop" select="10"/>
													<xsl:with-param name="selected"><xsl:value-of select="//RoomUse[./@Code= $roomStayUse]/@Adults - //RoomUse[./@Code= $roomStayUse]/@Children"/></xsl:with-param>
												</xsl:call-template>
											</select>
										</label><label class="separated15">Children: 
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',position(),'Children')"/></xsl:attribute>
												<xsl:attribute name="onchange">updateModifyRoomUses(this.form, <xsl:value-of select="position()"/>);updateModifyRoomTypes(this.form, <xsl:value-of select="position()"/>);changeModificationRoomingList('<xsl:value-of select="position()"/>')</xsl:attribute>
												<xsl:call-template name="createAdultsOptions">
													<xsl:with-param name="start" select="0"/>
													<xsl:with-param name="stop" select="2"/>
													<xsl:with-param name="selected"><xsl:value-of select="//RoomUse[./@Code= $roomStayUse]/@Children"/></xsl:with-param>
												</xsl:call-template>
											</select>
										</label><label class="separated15">
												<xsl:attribute name="id">modroom<xsl:value-of select="position()"/>UseLabel</xsl:attribute>
											Use:							
											<select>
												<xsl:attribute name="id">modroom<xsl:value-of select="position()"/>Use</xsl:attribute>
												<xsl:attribute name="onchange">updateModifyRoomTypes(this.form, <xsl:value-of select="position()"/>)</xsl:attribute>
											<option>
												<xsl:attribute name="value"><xsl:value-of select="./@RoomUseName"/></xsl:attribute>
												<xsl:value-of select="./@RoomUseName"/>
											</option>
											</select>
										</label><label class="separated15">
												<xsl:attribute name="id">modroom<xsl:value-of select="position()"/>TypeLabel</xsl:attribute>
											Room Type:							
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',position(),'Type')"/></xsl:attribute>
												<xsl:if test="count(//ota:HotelRooms//ota:Room[boolean(.//ota:UsePrice/@Code=$roomStayUse)]) &lt; 2">
													<xsl:attribute name="disabled"/>
												</xsl:if>
												<xsl:call-template name="createRoomTypeOptions">
													<xsl:with-param name="useSelected"><xsl:value-of select="./@RoomUseCode"/></xsl:with-param>
													<xsl:with-param name="typeSelected"><xsl:value-of select="./@RoomTypeCode"/></xsl:with-param>
												</xsl:call-template>
											</select>
										</label>
									</li>
								</xsl:for-each>
								<xsl:if test="count(//ota:RoomStay) &lt; 4">
									<li>
										<xsl:attribute name="id"><xsl:value-of select="concat('modroom',count(//ota:RoomStay)+1)"/></xsl:attribute>
										<label class="separated10"><b><xsl:value-of select="concat('Room ',count(//ota:RoomStay)+1)"/></b></label><label class="separated15">Adults: 
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',count(//ota:RoomStay)+1,'Adults')"/></xsl:attribute>
												<xsl:attribute name="onchange">updateModifyRoomAdults(this.form,<xsl:value-of select="count(//ota:RoomStay)+1"/>);updateModifyRoomUses(this.form, <xsl:value-of select="count(//ota:RoomStay)+1"/>);updateModifyRoomTypes(this.form, <xsl:value-of select="count(//ota:RoomStay)+1"/>);changeModificationRoomingList('<xsl:value-of select="count(//ota:RoomStay)+1"/>')</xsl:attribute>
												<xsl:call-template name="createAdultsOptions">
													<xsl:with-param name="start" select="0"/>
													<xsl:with-param name="stop" select="10"/>
													<xsl:with-param name="selected">-1</xsl:with-param>
												</xsl:call-template>
											</select>
										</label><label class="separated15">Children: 
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',count(//ota:RoomStay)+1,'Children')"/></xsl:attribute>
												<xsl:attribute name="onchange">updateModifyRoomUses(this.form, <xsl:value-of select="count(//ota:RoomStay)+1"/>);updateModifyRoomTypes(this.form, <xsl:value-of select="count(//ota:RoomStay)+1"/>);changeModificationRoomingList('<xsl:value-of select="count(//ota:RoomStay)+1"/>')</xsl:attribute>
												<xsl:call-template name="createAdultsOptions">
													<xsl:with-param name="start" select="0"/>
													<xsl:with-param name="stop" select="2"/>
													<xsl:with-param name="selected">-1</xsl:with-param>
												</xsl:call-template>
											</select>
										</label><label class="separated15, hidden">
												<xsl:attribute name="id">modroom<xsl:value-of select="count(//ota:RoomStay)+1"/>UseLabel</xsl:attribute>
											Use:							
											<select>
												<xsl:attribute name="id">modroom<xsl:value-of select="count(//ota:RoomStay)+1"/>Use</xsl:attribute>
											<option value=""></option>
											</select>
										</label><label class="separated15, hidden">
												<xsl:attribute name="id">modroom<xsl:value-of select="count(//ota:RoomStay)+1"/>TypeLabel</xsl:attribute>
											Room Type:							
											<select>
												<xsl:attribute name="id"><xsl:value-of select="concat('modroom',count(//ota:RoomStay)+1,'Type')"/></xsl:attribute>												
											<option value=""></option>
											</select>
										</label>
									</li>
								</xsl:if>
							</ul>
						</p>						
						<p><br/></p>
						<p>
							<label class="dossierTitleNumber">3</label><label class="dossierTitle"> - Terms</label>
							<HR width="70%"/>
							<label class="terms">GENERAL TERMS</label>
							
							<label class="terms">RESERVATION WARNINGS</label>
							<ul>
								<xsl:for-each select="//ota:TPA_Extensions/ota:Warnings">
									<li><xsl:value-of select="./@Text"/></li>
								</xsl:for-each>
							</ul>
							<!-- input type="checkbox" id="modTermsAccepted" onchange="termsAcceptedChange(this,'modHotelButton')">I agree</input-->
						</p>
						<p><br/></p>						
						<p>
						<label class="dossierTitleNumber">4</label><label class="dossierTitle"> - Reservation</label>
						<HR/>
						<label><b>Travel File: </b><xsl:value-of select=".//HotelReservationID[@ResIDType='Reservation']/@ResIDValue"/></label><br/>
						<label><b>Travel Agent Booking Ref: </b><xsl:value-of select=".//HotelReservationID[@ResIDType='YourRef']/@ResIDValue"/></label><br/>						
						</p>
						<div id="modhotelBookingRoomingList">
							<xsl:for-each select=".//ota:RoomStay">
								<xsl:variable name="roomStayPos" select="position()"/>
								<label class="roomTitle">
								<xsl:attribute name="id">modhotelRoom<xsl:value-of select="position()"/>Title</xsl:attribute>
								Room #<xsl:value-of select="position()"/> - <xsl:value-of select="./@ParsysRoomTypeName"/>/<xsl:value-of select="./@RoomUseName"/></label><br/>
								<br/>
								<div>
								<xsl:attribute name="id">modhotelRoom<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:for-each select=".//ota:ResGuestRPH">
									<xsl:variable name="indexRPH"><xsl:value-of select="."/></xsl:variable>
									<label class="separated20">
										<xsl:call-template name="namePrefix">
											<xsl:with-param name="current" select="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:NamePrefix"/>
											<xsl:with-param name="roomCode" select="//ota:HotelReservation[$resPosition]//ota:RoomStay[$roomStayPos]/@RoomTypeCode"/>
											<xsl:with-param name="roomUseCode" select="//ota:HotelReservation[$resPosition]//ota:RoomStay[$roomStayPos]/@RoomUseCode"/>
											<xsl:with-param name="roomIndex" select="$roomStayPos"/>
											<xsl:with-param name="pos" select="position()"/>
											<xsl:with-param name="type">H</xsl:with-param>
										</xsl:call-template>
									</label>
									<label class="separated20">
										<b>Name: </b><input type="text">
										<xsl:attribute name="value">
											<xsl:value-of select="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:GivenName"/>
										</xsl:attribute>
										<xsl:attribute name="name">room_num_<xsl:value-of select="$roomStayPos" />_pax_<xsl:value-of select="position()" />_name</xsl:attribute>
									</input>
									</label>
									<label class="separated20">
										<b>Surname: </b><input type="text">
										<xsl:attribute name="value">
											<xsl:value-of select="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:Surname"/>
										</xsl:attribute>
										<xsl:attribute name="name">room_num_<xsl:value-of select="$roomStayPos" />_pax_<xsl:value-of select="position()" />_surname</xsl:attribute>
									</input>
									</label>
									<label class="separated20">
									<xsl:if test="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:Age !='A' and //ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:Age !='Adult' ">
										<xsl:if test="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:Age &lt; 18">
											<b>Child Age: </b><xsl:call-template name="childAge">
												<xsl:with-param name="current" select="//ota:HotelReservation[$resPosition]//ota:ResProfile[@ResProfileRPH = $indexRPH]//ota:Age"/>
												<xsl:with-param name="roomCode" select="//ota:HotelReservation[$resPosition]//ota:RoomStay[$roomStayPos]/@RoomTypeCode"/>
												<xsl:with-param name="roomUseCode" select="//ota:HotelReservation[$resPosition]//ota:RoomStay[$roomStayPos]/@RoomUseCode"/>
												<xsl:with-param name="roomIndex" select="$roomStayPos"/>
												<xsl:with-param name="pos" select="position()"/>
												<xsl:with-param name="type">H</xsl:with-param>
											</xsl:call-template>
										</xsl:if>
									</xsl:if><xsl:text> </xsl:text>
									</label>
								<br/>
								</xsl:for-each>
								</div>
							</xsl:for-each>
						</div>
						<p><br/></p>
						<p>
							<xsl:call-template name="specialRequests">
							</xsl:call-template>
						</p>
						<input id="modHotelButton" class="button" type="button" name="book" value="Modify booking" onclick="sendHotelMod(document.m1);"/>
					</form>
				</div>
			</xsl:otherwise>
		</xsl:choose>
					
	</xsl:template>
	
	<xsl:template name="namePrefix">
		<xsl:param name="current"/>
		<xsl:param name="roomCode"/>
		<xsl:param name="roomUseCode"/>
		<xsl:param name="roomIndex"/>
		<xsl:param name="pos"/>
		<xsl:param name="type"/>
		
     	<select>
			<xsl:attribute name="name">salu_num_<xsl:value-of select="$roomIndex" />_pax_<xsl:value-of select="$pos" /></xsl:attribute>
			<option value="Mr.">
				<xsl:if test="$current ='Mr.'"><xsl:attribute name="selected"/></xsl:if>
			 Mr.</option>
			<option value="Mrs.">
				<xsl:if test="$current ='Mrs.'"><xsl:attribute name="selected"/></xsl:if>
			 Mrs.</option>
			<option value="Miss.">
				<xsl:if test="$current ='Miss'"><xsl:attribute name="selected"/></xsl:if>
				 Miss.</option>
			<option value="Ms.">
				<xsl:if test="$current ='Ms.'"><xsl:attribute name="selected"/></xsl:if>
			 Ms.</option>
		</select>
	</xsl:template>
	
	<xsl:template name="childAge">
		<xsl:param name="current"/>
		<xsl:param name="roomCode"/>
		<xsl:param name="roomUseCode"/>
		<xsl:param name="roomIndex"/>
		<xsl:param name="pos"/>
		<xsl:param name="type"/>
     	<select>
     		<xsl:attribute name="name">room_num_<xsl:value-of select="$roomIndex"/>_pax_<xsl:value-of select="$pos"/>_age</xsl:attribute>
			<option value="A">
				<xsl:if test="$current ='A' or $current='Adult'"><xsl:attribute name="selected"/></xsl:if>
			 Adult</option>
			 <xsl:call-template name="createAgeOptions">
				<xsl:with-param name="current" select="$current"/>
				<xsl:with-param name="start" select="1"/>
				<xsl:with-param name="stop" select="18"/>
			 </xsl:call-template>
		</select>
	</xsl:template>

	<xsl:template name="createAgeOptions">
		<xsl:param name="current"/>
		<xsl:param name="start"/>
		<xsl:param name="stop"/>
		<xsl:if test="$start &lt;= $stop">
			<option>
				<xsl:attribute name="value"><xsl:value-of select="$start"/></xsl:attribute>
				<xsl:if test="$current = $start"><xsl:attribute name="selected"/></xsl:if>
			 <xsl:value-of select="$start"/></option>
			 <xsl:call-template name="createAgeOptions">
				<xsl:with-param name="current" select="$current"/>
				<xsl:with-param name="start" select="$start+1"/>
				<xsl:with-param name="stop" select="$stop"/>
			 </xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template name="specialRequests">
		<div id="modbookingSpecialRequests">
		<xsl:for-each select="//ota:TPA_Extensions/SpecialRequest">
		<xsl:variable name="code" select="./@Code"/>
			<input type="checkbox" class="checkbox">
				<xsl:attribute name="id">
					sr_<xsl:value-of select="./@Code"/>
				</xsl:attribute>
				<xsl:attribute name="name">
					sr_<xsl:value-of select="./@Code"/>
				</xsl:attribute>
				<xsl:if test="boolean(//ota:SpecialRequests//ota:SpecialRequest[./@Code = $code])">
					<xsl:attribute name="checked"/>
				</xsl:if>
			</input>
			<label class="sr"> 
				<xsl:attribute name="for">
					sr_<xsl:value-of select="./@Code"/>
				</xsl:attribute>
				<xsl:value-of select="./@Name"/>
			</label>
			<xsl:if test="position() mod 3 =0">
				<br/>
			</xsl:if>
		</xsl:for-each>
		</div>
	</xsl:template>
	
	<xsl:template name="createAdultsOptions">
		<xsl:param name="start"/>
		<xsl:param name="stop"/>
		<xsl:param name="selected"/>
		<xsl:if test="$start &lt;= $stop">
			<option>
				<xsl:attribute name="value"><xsl:value-of select="$start"/></xsl:attribute>
				<xsl:if test="$selected = $start"><xsl:attribute name="selected"/></xsl:if>
			 <xsl:value-of select="$start"/></option>
			 <xsl:call-template name="createAdultsOptions">
				<xsl:with-param name="start" select="$start+1"/>
				<xsl:with-param name="stop" select="$stop"/>
				<xsl:with-param name="selected" select="$selected"/>
			 </xsl:call-template>
		</xsl:if>
	</xsl:template>	
	
	<xsl:template name="createChildrenOptions">
		<xsl:param name="start"/>
		<xsl:param name="stop"/>
		<xsl:param name="selected"/>
		<xsl:if test="$start &lt;= $stop">
			<option>
				<xsl:attribute name="value"><xsl:value-of select="$start"/></xsl:attribute>
				<xsl:if test="$selected = $start"><xsl:attribute name="selected"/></xsl:if>
			 <xsl:value-of select="$start"/></option>
			 <xsl:call-template name="createChildrenOptions">
				<xsl:with-param name="start" select="$start+1"/>
				<xsl:with-param name="stop" select="$stop"/>
				<xsl:with-param name="selected" select="$selected"/>
			 </xsl:call-template>
		</xsl:if>
	</xsl:template>	

	<xsl:template name="createRoomTypeOptions">
		<xsl:param name="useSelected"/>
		<xsl:param name="typeSelected"/>
		<xsl:value-of select="count(//ota:HotelRooms//ota:Room[boolean(.//ota:UsePrice/@Code=$useSelected)])"/>
		<xsl:for-each select="//ota:HotelRooms//ota:Room[boolean(.//ota:UsePrice/@Code=$useSelected)]">
			<option>
				<xsl:attribute name="value"><xsl:value-of select="./@Code"/></xsl:attribute>
				<xsl:if test="$typeSelected = ./@Code"><xsl:attribute name="selected"/></xsl:if>
			 <xsl:value-of select="concat(./@Name, ' - ',.//ota:UsePrice[./@Code=$useSelected]/@Amount)"/></option>
		</xsl:for-each>
	</xsl:template>		
</xsl:stylesheet>