<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ota="http://www.opentravel.org/OTA">

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div>
					<h1>Service availability</h1>
					<div class="legend">
						<ul>
							<li><span class="icon"><img class="button" src="./img/book.gif"/></span> Selects the service to book it.</li>
						</ul>
					</div>
					<table>
						<caption>
							<span><xsl:value-of select="count(//ota:SummaryResponse)"/> services selected</span>
						</caption>
						<thead>
							<th>Name</th>
							<th>Price</th>
							<th/>
							<th/>
						</thead>
						<tbody>
							<xsl:for-each select="//ota:SummaryResponse">
								<tr>
									<xsl:attribute name="id"><xsl:value-of select="concat('serviceSummary_', ./ota:ServReference/@ServiceCode)"/></xsl:attribute>
									<xsl:if test="position() mod 2=0">
										<xsl:attribute name="class">odd</xsl:attribute>
									</xsl:if>
									<td><xsl:value-of select="./@ServiceName"/></td>
									<td><b><xsl:value-of select=".//ota:QuotedRate/@RateAmount"/></b></td>
									<td class="center">
										<xsl:choose>
											<xsl:when test=".//ota:TPAExtensions/ota:ConfirmationStatus/@Code='P'">
												<img class="button" src="./img/onrequest.gif"/>
											</xsl:when>
											<xsl:otherwise>
												<img class="button" src="./img/available.gif"/>
											</xsl:otherwise>
										</xsl:choose>
									</td>
									<td class="center">
										<img class="button" src="./img/book.gif">
											<xsl:attribute name="onclick">document.r2.serviceCode.value='<xsl:value-of select="./ota:ServReference/@ServiceCode"/>';selectServiceForReservation('serviceSummary_<xsl:value-of select="./ota:ServReference/@ServiceCode"/>',document.r2.numPaxes.value);</xsl:attribute>
										</img>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
						</tfoot>
					</table>
				</div>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>

</xsl:stylesheet>